diff --git a/include/forward.h b/include/forward.h
index 2d517a8..8fcbe0c 100644
--- a/include/forward.h
+++ b/include/forward.h
@@ -141,6 +141,7 @@ struct forward_dev {
 	spinlock_t extensions_lock;
 
 	struct forward_vdma *vdma;
+	struct forward_pll *pll;
 	struct forward_io *io;
 
 	const struct attribute_group *attr_groups[3];
@@ -148,6 +149,7 @@ struct forward_dev {
 
 struct forward_extension {
 	const char *name;
+	const u32 version;
 	int (*probe)(struct forward_dev *dev, void **private);
 	int (*reprobe)(struct forward_dev *dev, void **private);
 	void (*remove)(struct forward_dev *dev, void **private);
-- 
2.39.1


